interface Iconfig {
  /** 请求列表的接口*/
  fetchFn: Function;

  /**用户可搜索的内容，select为下拉列表,select为数组时为自定义option,w为string时表示获取字典里的值 */
  serchList: Array<{
    label: String;
    value: String;
    select?: Array<{ name: string; value: string | Number }> | String;
  }>;

  /**需要的字典数据，以，隔开的string */
  dictData?: String;

  /**table配置 */
  tableList: Array<Object>;
}


import { apiGoodsLabelLists } from '@/api/goods_label'

export const goods_label: Iconfig = {
  fetchFn: apiGoodsLabelLists,
  serchList: [
    {
      label: "标签名",
      value: "name",
    },
   
  ],
  tableList: [
    { id: "ID" },
    { name: "标签名" },
  ],
};

